%define		subver	2022-07-27
%define		ver		%(echo %{subver} | tr -d -)
%define		plugin		data
%define		php_min_version 5.6.0
Summary:	DokuWiki Structured Data Plugin
Name:		dokuwiki-plugin-%{plugin}
Version:	%{ver}
Release:	2
License:	GPL v2
Group:		Applications/WWW
Source0:	https://github.com/splitbrain/dokuwiki-plugin-%{plugin}/archive/%{subver}/%{plugin}-%{subver}.tar.gz
# Source0-md5:	2a03d1428b83dd279132b8d5772e6e9d
URL:		https://www.dokuwiki.org/plugin:data
Patch2:		separator-style.patch
Patch3:		separate-rpmdb.patch
Patch4:		cache-enable.patch
BuildRequires:	rpm-php-pearprov
BuildRequires:	rpmbuild(find_lang) >= 1.41
BuildRequires:	rpmbuild(macros) >= 1.520
Requires:	dokuwiki >= 20090214b-5
Requires:	dokuwiki-plugin-sqlite >= 20130508
Requires:	php(core) >= %{php_min_version}
Requires:	php(pcre)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dokuconf	/etc/webapps/dokuwiki
%define		dokudir		/usr/share/dokuwiki
%define		metadir		/var/lib/dokuwiki/meta
%define		plugindir	%{dokudir}/lib/plugins/%{plugin}

# no pear deps
%define		_noautopear	pear

# sqlite is dokuwiki-plugin-sqlite dep, not ours
%define		_noautophp	php-sqlite

# put it together for rpmbuild
%define		_noautoreq	%{?_noautophp} %{?_noautopear}

%description
This plugin allows you to add structured data to any DokuWiki page.
Think about this data as additional named attributes. Those attributes
can then be queried and aggregated. The plugin is similar to what was
done here for the repository plugin but its internals are very
different to the repository plugin.

%prep
%setup -qc
mv *-%{plugin}-*/{.??*,*} .
%patch2 -p1
%patch3 -p1
%patch4 -p1

# nothing to do with tests
rm -rf _test
rm .travis.yml

# cleanup backups after patching
find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%build
version=$(awk '/date/{print $2}' plugin.info.txt)
if [ $(echo "$version" | tr -d -) != %{version} ]; then
	: %%{version} mismatch
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{plugindir},%{metadir}}
cp -a . $RPM_BUILD_ROOT%{plugindir}
%{__rm} $RPM_BUILD_ROOT%{plugindir}/README
# sqlite2: php-sqlite
touch $RPM_BUILD_ROOT%{metadir}/data.sqlite
# sqlite3: php-pdo-sqlite
touch $RPM_BUILD_ROOT%{metadir}/data.sqlite3

# find locales
%find_lang %{name}.lang --with-dokuwiki

%clean
rm -rf $RPM_BUILD_ROOT

%post
# force css cache refresh
if [ -f %{dokuconf}/local.php ]; then
	touch %{dokuconf}/local.php
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README
%dir %{plugindir}
%{plugindir}/*.css
%{plugindir}/*.js
%{plugindir}/*.php
%{plugindir}/*.svg
%{plugindir}/*.txt
%{plugindir}/Form
%{plugindir}/admin
%{plugindir}/conf
%{plugindir}/db
%{plugindir}/helper
%{plugindir}/syntax
%attr(660,http,http) %ghost %{metadir}/data.sqlite
%attr(660,http,http) %ghost %{metadir}/data.sqlite3
%changelog
* Tue Apr 25 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dokuwiki-plugin-data.git;a=log;h=master

* Tue Apr 25 2023 Elan Ruusamäe <glen@pld-linux.org> dc56055
- Re-order LEFT JOIN pages before LEFT JOIN rpm

* Mon Apr 17 2023 Elan Ruusamäe <glen@pld-linux.org> ec9c36c
- Up to 2022-07-27

* Sun Mar 26 2023 Elan Ruusamäe <glen@pld-linux.org> 76fb700
- Fix find lang

* Wed Mar 22 2023 Elan Ruusamäe <glen@pld-linux.org> 5aea9d2
- Up to 2020-09-18

* Wed Mar 22 2023 Elan Ruusamäe <glen@pld-linux.org> 37b7ca7
- Cleanup unused trigger dependencies

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 4d6da22
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Mar 21 2019 Elan Ruusamäe <glen@pld-linux.org> c18f0e3
- up to 2019-03-20 (no code changes)

* Wed Dec 19 2018 Elan Ruusamäe <glen@pld-linux.org> 93a728b
- up to 2018-04-09; drop migrations from 20120716-3

* Tue Mar 28 2017 Elan Ruusamäe <glen@pld-linux.org> 2225cb3
- up to 2017-02-08

* Tue Nov 22 2016 Elan Ruusamäe <glen@delfi.ee> 49046ef
- require newer sqlite plugin

* Tue Nov 22 2016 Elan Ruusamäe <glen@delfi.ee> 90ea78d
- updated files

* Tue Nov 22 2016 Elan Ruusamäe <glen@delfi.ee> a4d4cd5
- update patches

* Tue Nov 22 2016 Elan Ruusamäe <glen@delfi.ee> 3c32c27
- up to 2016-03-11

* Tue Nov 22 2016 Elan Ruusamäe <glen@delfi.ee> fa3ee06
- rpm5 fix

* Sat Aug 18 2012 Elan Ruusamäe <glen@delfi.ee> 7d759b6
- if table has dynfilters enabled, disable cache

* Sat Aug 18 2012 Elan Ruusamäe <glen@delfi.ee> 147d6c0
- enable cache in table.php

* Sun Sep 16 2012 Elan Ruusamäe <glen@delfi.ee> 0b4d4d8
- merged

* Fri Aug 24 2012 Elan Ruusamäe <glen@delfi.ee> 272501f
- use php(core) as dependency to require php version
- release 3 (by relup.sh)

* Fri Aug 17 2012 Elan Ruusamäe <glen@delfi.ee> cf948c6
- fixing upgrade trigger

* Fri Aug 17 2012 Elan Ruusamäe <glen@delfi.ee> ca42795
- perform sqlite2->sqlite3 upgrade if packages present

